- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# DSObjects::CRealMediaWindowlessSite Class Reference

List of all members.

## Public Member Functions
| CRealMediaWindowlessSite (HRESULT &hr, IUnknown *pContext, CRealMediaWindowlessSite *pParentSite=NULL, IUnknown *pUnkOuter=NULL)
virtual | ~CRealMediaWindowlessSite ()
STDMETHODIMP | NonDelegatingQueryInterface (REFIID riid, void **ppv)
void | GetTopLeft (PNxPoint *pPoint)
REGION * | GetRegion ()
STDMETHODIMP | EventOccurred (PNxEvent *pEvent)
STDMETHODIMP | AttachUser (IRMASiteUser *pUser)
STDMETHODIMP | DetachUser ()
STDMETHODIMP | GetUser (REF(IRMASiteUser *) pUser)
STDMETHODIMP | CreateChild (REF(IRMASite *) pChildSite)
STDMETHODIMP | DestroyChild (IRMASite *pChildSite)
STDMETHODIMP | AttachWatcher (IRMASiteWatcher *pWatcher)
STDMETHODIMP | DetachWatcher ()
STDMETHODIMP | SetPosition (PNxPoint position)
STDMETHODIMP | GetPosition (REF(PNxPoint) position)
STDMETHODIMP | SetSize (PNxSize size)
STDMETHODIMP | GetSize (REF(PNxSize) size)
STDMETHODIMP | DamageRect (PNxRect rect)
STDMETHODIMP | DamageRegion (PNxRegion region)
STDMETHODIMP | ForceRedraw ()
STDMETHODIMP | UpdateSiteWindow (PNxWindow *pWindow)
STDMETHODIMP | ShowSite (BOOL bShow)
STDMETHODIMP | SetZOrder (INT32 lZOrder)
STDMETHODIMP | GetZOrder (REF(INT32) lZOrder)
STDMETHODIMP | MoveSiteToTop ()
STDMETHODIMP | GetVideoSurface (REF(IRMAVideoSurface *) pSurface)
STDMETHODIMP | AddPassiveSiteWatcher (IRMAPassiveSiteWatcher *pWatcher)
STDMETHODIMP | RemovePassiveSiteWatcher (IRMAPassiveSiteWatcher *pWatcher)
STDMETHODIMP | SetCursor (PNxCursor cursor, REF(PNxCursor) oldCursor)
bool | GetBltService (IRMAVideoSurface **ppBltService)
void | SetBltService (IRMAVideoSurface *ppBltService)
STDMETHODIMP | Blt (UCHAR *pImageData, RMABitmapInfoHeader *pBitmapInfo, REF(PNxRect) inDestRect, REF(PNxRect) inSrcRect)
STDMETHODIMP | BeginOptimizedBlt (RMABitmapInfoHeader *pBitmapInfo)
STDMETHODIMP | OptimizedBlt (UCHAR *pImageBits, REF(PNxRect) rDestRect, REF(PNxRect) rSrcRect)
STDMETHODIMP | EndOptimizedBlt ()
STDMETHODIMP | GetOptimizedFormat (REF(RMA_COMPRESSION_TYPE) ulType)
STDMETHODIMP | GetPreferredFormat (REF(RMA_COMPRESSION_TYPE) ulType)
## Public Attributes
| DECLARE_IUNKNOWN
## Protected Attributes
RMABitmapInfoHeader | m_bitmapInfo
RMABitmapInfoHeader | m_lastBitmapInfo
CComPtr< IRMAVideoSurface > | m_pBltService

## Detailed Description

Definition at line 105 of file RealMediaWindowlessSite.h.

The documentation for this class was generated from the following files:

- C:/guliverkli/src/apps/mplayerc/RealMediaWindowlessSite.h
- C:/guliverkli/src/apps/mplayerc/RealMediaWindowlessSite.cpp